
//Transmitter Side Code for Arduino Nano
#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>
#include <DHT.h>;
#define DHTPIN 2            //what pin we're connected to
#define DHTTYPE DHT21       //DHT 21  (AM2301)
DHT dht(DHTPIN, DHTTYPE);   //Initialize DHT sensor for normal 16mhz Arduino
// Hardware configuration
// Set up nRF24L01 radio on pins D8 & D10 of  Arduino Nano
float data[4];
RF24 radio(8, 10);
const byte pipe[6] = {"00001"};// Radio pipe address for the 2 nodes to communicate.
float hum;  //Stores humidity value
float temp; //Stores temperature value

void setup()
{
  Serial.begin(9600);
    dht.begin();
  radio.begin();
  radio.openWritingPipe(pipe);
  radio.stopListening();

}

void loop()
{
   hum = dht.readHumidity();
  temp= dht.readTemperature();
  
  //Print temp and humidity values to serial monitor
  Serial.print("Humidity: ");
  Serial.print(hum);
  Serial.print("%,  Temperature: ");
  Serial.print(temp);
  data[0]=temp;
  data[1]=hum;
  radio.write(&data, sizeof(data));
  delay(1000);
}
