#include "arduino_secrets.h"
/* 
  Sketch generated by the Arduino IoT Cloud Thing "Untitled"
  https://create.arduino.cc/cloud/things/34bf5308-2ed6-4b81-a523-e3fdba6ca239 

  Arduino IoT Cloud Variables description

  The following variables are automatically generated and updated when changes are made to the Thing

  float humidity;
  float temp;

  Variables which are marked as READ/WRITE in the Cloud Thing will also have functions
  which are called when their values are changed from the Dashboard.
  These functions are generated with the Thing and added at the end of this sketch.
*/

#include "thingProperties.h"
#include <DHT.h>;
#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>
// Hardware configuration
// Set up nRF24L01 radio on pins D4 & D2 of Nodemcu
RF24 radio(2, 4);//CE, CSN
const byte pipe[6] = "00001";// Radio pipe address for the 2 nodes to communicate.
float data[4];






void setup() {
  // Initialize serial and wait for port to open:
  Serial.begin(9600);
  // This delay gives the chance to wait for a Serial Monitor without blocking if none is found
  delay(1500);

  // Defined in thingProperties.h
  initProperties();

  // Connect to Arduino IoT Cloud
  ArduinoCloud.begin(ArduinoIoTPreferredConnection);

  /*
     The following function allows you to obtain more information
     related to the state of network and IoT Cloud connection and errors
     the higher number the more granular information you’ll get.
     The default is 0 (only errors).
     Maximum is 4
  */
  setDebugMessageLevel(2);
  ArduinoCloud.printDebugInfo();
  radio.begin();
  radio.openReadingPipe(0, pipe);
  radio.startListening();
}

void loop() {
  ArduinoCloud.update();
  // Your code here
  if (radio.available()) {
    radio.read(&data, sizeof(data));
    temp = data[0];
    humidity = data[1];
    Serial.print("Humidity: ");
    Serial.print(humidity);
    Serial.print("%,  Temperature: ");
    Serial.print(temp);
  }

}
